VectorLinux
September 02, 2014, 01:29:28 am *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: 20120520 xfce-4.10.0 [VL7.0] 32bit and 64bit  (Read 1764 times)
stretchedthin
Administrator
Vectorian
*****
Posts: 3780


WWW
« on: May 19, 2012, 11:00:22 pm »

hata_ph has built a new Xfce package for VectorLinux 7.0.
   
      
   
Code:
xfce4-meta: xfce4-meta (Xfce Desktop Environment)
xfce4-meta:
xfce4-meta: Xfce is a lightweight desktop environment for UNIX-like operating
xfce4-meta: systems. It aims to be fast and low on system resources, while still
xfce4-meta: being visually appealing and user friendly.
xfce4-meta:
xfce4-meta:
xfce4-meta:
xfce4-meta: License: GPL
xfce4-meta: Authors: http://www.xfce.org/
xfce4-meta: Website: http://www.xfce.org/
   
   After testing this package please stop back here and let us know how it works for you.
   
« Last Edit: May 29, 2012, 09:48:52 pm by stretchedthin » Logged

Vectorlinux screencasts and  tutorials can be found at....
http://www.opensourcebistro.com/blog1
http://www.youtube.com/user/vid4ken?feature=mhee
sledgehammer
Vectorian
****
Posts: 1423



« Reply #1 on: May 20, 2012, 11:37:19 am »

Thanks hata_ph and stretchedthin.  I installed 4.10.  Had to do a bit of tweaking, but everything seems to be fine.  Here is my story:

After install, machine would not recognize "applications menu," nor would it bring up a terminal.  I rebooted and "applications menu" then worked.  However,  machine still would not load terminal from the applications menu, and the XFCE update had removed mixer from the panel.  In gslapt I deleted what may have been a rogue mixer (it only allowed a remove).  I then loaded the latest version of mixer and terminal and they now both work fine. 

I will report if I notice anything else. 
Logged

VL7.0 xfce4 Samsung RF511
stretchedthin
Administrator
Vectorian
*****
Posts: 3780


WWW
« Reply #2 on: May 20, 2012, 12:06:20 pm »

Thanks Sledgehammer;

I found the same in my testing plus I recieved an email from syncdram on his test findings on my youtube channel.
I made a video for anyone who whats some guidance on working through the fixes quickly.
Installing Xfce4-4.10 from testing
Logged

Vectorlinux screencasts and  tutorials can be found at....
http://www.opensourcebistro.com/blog1
http://www.youtube.com/user/vid4ken?feature=mhee
sledgehammer
Vectorian
****
Posts: 1423



« Reply #3 on: May 23, 2012, 08:43:59 pm »

Happy to report that "suspend" now works much better*.  Must be the new xfce package as I don't think I did anything else.

Very  happy!

* words "much better" added 5/27/12.  Suspend still doesn't work right all of the time.  But its getting there.
« Last Edit: May 27, 2012, 10:08:07 am by sledgehammer » Logged

VL7.0 xfce4 Samsung RF511
stretchedthin
Administrator
Vectorian
*****
Posts: 3780


WWW
« Reply #4 on: May 26, 2012, 06:46:37 pm »

Anyone testing xfce4-4.10 please note that you will be able to downgrade to 4.8.0, but it has the potential to create a lot of conflict in your system.

You may want to do this because xfce4-4.10 does not yet have a full set of working plug-ins, but better to hold on and wait for the new plugins to arrive.

What happens...
xfce4-4.8.0 is a single txz file containing every component.  xfce4-4.10 is a meta file which pulls the separate component txz files as dependencies.
When you upgrade to xfce4.4.10- it works fine.
but...
when you downgrade, xfce4-4.8.0 installs but only the meta file for xfce4-4.10 is uninstalled and all the xfce4-4.10 files remain mingled with your 4.8.0 files.  This causes some function failurs but surprisingly is still a usable system.
However,
If you try to upgrade again to xfce4.10, then xfce4-4.8.0 then your system will brick your machine, for xfce.

The reason is not clear to me as yet, but if anyone cares to throw it in a virtual machine and give it a look I'd appreciate it.

Logged

Vectorlinux screencasts and  tutorials can be found at....
http://www.opensourcebistro.com/blog1
http://www.youtube.com/user/vid4ken?feature=mhee
stretchedthin
Administrator
Vectorian
*****
Posts: 3780


WWW
« Reply #5 on: May 26, 2012, 07:05:52 pm »

If you find yourself in the pickle of only being able to boot into fluxbox do the following....

as root in the terminal...copy past this in and press enter.

removepkg libxfce4util perl-extutils-depends perl-extutils-pkgconfig glib-perl xfconf libxfce4ui garcon exo xfce4-panel thunar xfce4-settings xfce4-sessions xfdesktop xfwm4 xfce4-appfinder gtk-xfce-engine tumbler

Then while still in fluxbox reinstall your choice of xfce4-4.8.0 or xfce4-4.10

Logged

Vectorlinux screencasts and  tutorials can be found at....
http://www.opensourcebistro.com/blog1
http://www.youtube.com/user/vid4ken?feature=mhee
stretchedthin
Administrator
Vectorian
*****
Posts: 3780


WWW
« Reply #6 on: May 29, 2012, 09:53:48 pm »

moved xfce4-4.10 to 64bit testing repo.

1st thing noticed is it has the same need for a rebuilt xfce4-mixer as 32bit did.  Also terminal emulator fails for the same reason it did in 32bit.   I think that terminal 0.4.8 build two needs to be added to the meta pack and xfce4-mixer needs to be built agains 4.10 and added to the meta pack.

Ken
« Last Edit: May 31, 2012, 09:25:46 am by stretchedthin » Logged

Vectorlinux screencasts and  tutorials can be found at....
http://www.opensourcebistro.com/blog1
http://www.youtube.com/user/vid4ken?feature=mhee
stretchedthin
Administrator
Vectorian
*****
Posts: 3780


WWW
« Reply #7 on: June 02, 2012, 10:47:10 pm »

moved xfce4-4.10 to 64bit testing repo.

1st thing noticed is it has the same need for a rebuilt xfce4-mixer as 32bit did.  Also terminal emulator fails for the same reason it did in 32bit.   I think that terminal 0.4.8 build two needs to be added to the meta pack and xfce4-mixer needs to be built against 4.10 and added to the meta pack.

Ken

  Have not heard back on above, but I'll keep the dialog going.
I also think that xfce4 in 64bit and 32bit needs to have meta package updated to include everything that is compiled against 4.10 for this release.  That way on upgrade and future upgrades it is always in sync.

Thoughts?
Logged

Vectorlinux screencasts and  tutorials can be found at....
http://www.opensourcebistro.com/blog1
http://www.youtube.com/user/vid4ken?feature=mhee
rbistolfi
Packager
Vectorian
****
Posts: 2282


« Reply #8 on: June 03, 2012, 09:47:03 am »

Thoughts?

If there is no clear path for the update, why not just wait for another Vector release and ship 4.10 there.
Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
stretchedthin
Administrator
Vectorian
*****
Posts: 3780


WWW
« Reply #9 on: June 03, 2012, 11:04:03 am »

Simpliest path I'd say is just to include all apps and plugins with meta package.
Then everything upgrades at once and user is not left guessing.

Flowes nicely into future upgrades.

Logged

Vectorlinux screencasts and  tutorials can be found at....
http://www.opensourcebistro.com/blog1
http://www.youtube.com/user/vid4ken?feature=mhee
syncdram
Member
*
Posts: 84



« Reply #10 on: June 17, 2012, 11:42:59 am »

That is a very good idea as i have fallen victim to. Re installed before your posted the pickle fix.
Logged
stretchedthin
Administrator
Vectorian
*****
Posts: 3780


WWW
« Reply #11 on: June 17, 2012, 12:08:33 pm »

That is a very good idea as i have fallen victim to. Re installed before your posted the pickle fix.

Thanks syncdram. I'll be working on this come Monday.
Logged

Vectorlinux screencasts and  tutorials can be found at....
http://www.opensourcebistro.com/blog1
http://www.youtube.com/user/vid4ken?feature=mhee
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!